## libnm-qt 0.9.0

=== debian/changelog ===
libnm-qt (0.9.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1223738)
  * Update symbols.
  * Fix lintian warning for duplicating sections in debian/control.
  * Add a new libnetworkmanagerqt-dbg package for debugging symbols.
  * Bump debhelper version to 9.
  * Add debian/watch file. 

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 11 Sep 2013 16:15:05 +0800

libnm-qt (0.0~git20130816-0ubuntu4) saucy; urgency=low

  * Update debian/libnetworkmanagerqt0.symbols for armhf and powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Aug 2013 22:43:39 -0600

libnm-qt (0.0~git20130816-0ubuntu3) saucy; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Aug 2013 17:05:26 +0100
