=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/networkmanagement/([\d\.]*)/src/libnm-qt-([\d\.]*).tar.xz
