## libnm-qt 0.9.0.1

=== debian/changelog ===
libnm-qt (0.9.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #729971)
  * New patch: libdir.diff, use LIB_DESTINATION in CMakeLists.txt.
  * Update s390x symbols.
  * Update armhf symbols.
  * Set some optional flags to the symbols.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Dec 2013 18:21:38 +0100
