=== debian/control ===
Source: libnm-qt
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8), libqt4-dev, pkg-config,
               libmodemmanagerqt-dev, libnm-glib-dev, libnm-util-dev,
               network-manager-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libnm-qt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libnm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libnm-qt.git

Package: libnetworkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libnetworkmanagerqt0 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- development files
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the development files.

Package: libnetworkmanagerqt0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt wrapper for NetworkManager API
 Qt-only wrapper for NetworkManager API.

Package: libnetworkmanagerqt-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libnetworkmanagerqt0 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- debugging symbols
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the debugging symbols.
