## libnm-qt 0.9.8.1

=== debian/changelog ===
libnm-qt (0.9.8.1-0ubuntu2) trusty; urgency=medium

  * Add build-depeneds on modemmanager-dev, doxygen

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Feb 2014 13:03:22 +0000

libnm-qt (0.9.8.1-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Add kubuntu_bump_soversion.diff for new ABI

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Feb 2014 15:12:19 +0000

libnm-qt (0.9.0.1-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Update watch file
  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 23 Oct 2013 16:45:49 +0200
