=== debian/control ===
Source: libnm-qt
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev, pkg-config,
               libmodemmanagerqt-dev (>= 1.0.1), libnm-glib-dev, libnm-util-dev,
               network-manager-dev, modemmanager-dev (>= 1.0.0), doxygen
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libnm-qt

Package: libnetworkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libnetworkmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- development files
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the development files.

Package: libnetworkmanagerqt1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt wrapper for NetworkManager API
 Qt-only wrapper for NetworkManager API.

Package: libnetworkmanagerqt-dbg
Section: debug
Architecture: any
Depends: libnetworkmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager API -- debugging symbols
 Qt-only wrapper for NetworkManager API.
 .
 This package provides the debugging symbols.
