## libnm-qt 0.9.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,20 +2,17 @@
 
 project(NetworkManagerQt)
 
-set(VERSION 0.9.8.1)
+include(GNUInstallDirs)
+
+set(VERSION 0.9.8.2)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})
-set(LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name (32/64)" )
-set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING
-    "Library directory name")
-set(PKGCONFIG_INSTALL_PREFIX "${LIB_DESTINATION}/pkgconfig/" CACHE STRING
-    "Base directory for pkgconfig files")
 
 if (NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Debug)
 endif()
 
 find_package(Qt4 REQUIRED)
-find_package(NetworkManager 0.9.8.0 REQUIRED)
+find_package(NetworkManager 0.9.8.4 REQUIRED)
 
 if (DISABLE_MODEMMANAGERQT)
     message(STATUS "Disabling ModemManagerQt support")
@@ -36,7 +33,7 @@
 include(CheckCXXCompilerFlag)
 check_cxx_compiler_flag("-Werror=return-type" HAVE_GCC_ERROR_RETURN_TYPE)
 if (HAVE_GCC_ERROR_RETURN_TYPE)
-    set(CMAKE_CXX_FLAGS "-Werror=return-type")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=return-type")
 endif()
 
 include_directories(
@@ -243,17 +240,17 @@
 target_link_libraries(NetworkManagerQt ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY})
 endif()
 
-install(TARGETS NetworkManagerQt DESTINATION ${LIB_DESTINATION})
-install(FILES ${NetworkManagerQt_HEADERS} DESTINATION include/NetworkManagerQt COMPONENT Devel)
-install(FILES ${CONNECTIONS_SETTINGS_HEADERS} DESTINATION include/NetworkManagerQt/settings COMPONENT Devel)
+install(TARGETS NetworkManagerQt DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(FILES ${NetworkManagerQt_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/NetworkManagerQt COMPONENT Devel)
+install(FILES ${CONNECTIONS_SETTINGS_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/NetworkManagerQt/settings COMPONENT Devel)
 
 set_property(TARGET NetworkManagerQt PROPERTY COMPILE_DEFINITIONS MAKE_NETWORKMANAGERQT_LIB)
 set_property(TARGET NetworkManagerQt PROPERTY VERSION ${VERSION})
-set_property(TARGET NetworkManagerQt PROPERTY SOVERSION 0)
+set_property(TARGET NetworkManagerQt PROPERTY SOVERSION 1)
 
 message(STATUS "Writing pkg-config file...")
 configure_file(${CMAKE_SOURCE_DIR}/NetworkManagerQt.pc.cmake ${CMAKE_BINARY_DIR}/NetworkManagerQt.pc @ONLY)
-install(FILES ${CMAKE_BINARY_DIR}/NetworkManagerQt.pc DESTINATION "${PKGCONFIG_INSTALL_PREFIX}")
+install(FILES ${CMAKE_BINARY_DIR}/NetworkManagerQt.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 add_subdirectory(include)
