=== debian/changelog ===
libnm-qt (0.9.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch: do_not_override_cflags, applied upstream.
  * Remove patch: kubuntu_bump_soversion.diff, applied upstream.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jul 2014 13:11:06 +0200

libnm-qt (0.9.8.1-3) unstable; urgency=medium

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:20:56 +0200

libnm-qt (0.9.8.1-2) unstable; urgency=medium

  * Add lintian-override for missing-build-dependency-for-dh_-command,
    dh-acc is used in the autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Mar 2014 09:43:11 +0100

libnm-qt (0.9.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: libdir.diff, applied upstream.
  * Aesthetic change, further reduce rules file.
  * Update build dependencies.
  * New patch: do_not_override_cflags
  * Import kubuntus soversion bump.
  * Add autopkgtests and acc info.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Mar 2014 11:46:01 +0100
