## libnm-qt 0.9.8.4

=== debian/changelog ===
libnm-qt (0.9.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 18 May 2015 19:35:37 +0200
