=== debian/watch ===
version=3
http://download.kde.org/unstable/networkmanager-qt/([\d.]+)/src/libnm-qt-([\d.]+).tar.xz
